Download it now!
Bug 46864 - FILEOPEN particular .RTF does not show different character styles in a line
Summary: FILEOPEN particular .RTF does not show different character styles in a line
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.4 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:rtf
Depends on:
Blocks: RTF-Character RTF-Styles
  Show dependency treegraph
 
Reported: 2012-03-02 00:01 UTC by Rainer Bielefeld Retired
Modified: 2019-12-03 14:00 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Simsun-font-Comparison on Word 2010 and LibreOffice 4.1.1.2 (339.21 KB, image/jpeg)
2013-10-01 06:52 UTC, Zeki Bildirici
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-03-02 00:01:47 UTC
This one is a spin off from "Bug 40735 - FILESAVE to RTF causes wrong font-style"

The different problem here is that in reporter's "ODT-RFT-Konverter-Test.rtf" from <https://bugs.freedesktop.org/attachment.cgi?id=50996> Stings "ÄÖÜ" (and others affected from problem in Bug 40735) will not be shown in font style "SimSun" when the document has been opened with LibO. MS WORD Viewer shows different "SimSun" compared to Arial or Times New Roman of resting line.

For details please see comments in Bug 40735

May be further investigation will show that this one is not a separate bug.

NEW due to results in Bug 40735

Works fine with "LibreOffice Portable 3.3.0  - WIN7  Home Premium (64bit) German UI [OOO330m19 (Build:6) tag libreoffice-3.3.0.4]", so REGRESSION

Also ok with 3.4.1RC, 3.4.2RC, 3.4.5, 
3.5.0Beta0Build ID: 3b32204-7f92fce-2ba0a9f, 3.5.0RC2

@Miklós:
Please set Status to ASSIGNED and add yourself to "Assigned To" if you accept this Bug
Comment 1 Miklos Vajna 2012-03-23 04:02:09 UTC
Hi Rainer,

Are you sure this is a regression? I can see the Word vs Writer difference, but I have the same problem in 3.4.4. Can you please attach a screenshot showing the SimSun recognized in 3.3 or 3.4?

Thanks.
Comment 2 Miklos Vajna 2012-03-30 02:02:23 UTC
Removing regression keyword for now.
Comment 3 Zeki Bildirici 2013-10-01 06:52:27 UTC
Created attachment 86891 [details]
Simsun-font-Comparison on Word 2010 and LibreOffice 4.1.1.2

SimSun font is not recognized by LibreOffice 4.1.1.2(portable) You may see the RTF file in Word 2010 on the left screen and the odt and rtf in LO on the right screen.

SimSun considered as Times New Roman and Arial.

Best regards,
Zeki
Comment 4 Björn Michaelsen 2014-02-28 12:45:51 UTC
Bulk change: Bibisected bugs can be assumed to be regressions.
Comment 5 Miklos Vajna 2014-03-13 18:07:06 UTC
Nothing changed since comment 1, removing regression and bibisected tags as well.
Comment 6 Joel Madero 2015-05-02 15:43:34 UTC Comment hidden (obsolete)
Comment 7 Robinson Tryon (qubit) 2015-12-10 01:08:28 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2017-01-03 19:41:09 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2019-12-03 14:00:36 UTC
Dear Rainer Bielefeld Retired,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug